v1.0.0
OpenAPI 3.1.0

Cancel a scheduled broadcast

US region

Client Libraries

Cancel a scheduled broadcast

Cancel a trigger you scheduled with scheduled_at, before it fires.

The request fails if the broadcast has started calculating its audience, is already sending, or has already sent.

Path Parameters
  • broadcast_id
    Type: integer
    required

    The ID of the broadcast you triggered.

  • trigger_id
    Type: integer
    required

    The ID of the trigger you want to cancel. You get it back from the trigger request that scheduled the send.

Responses
  • application/json
  • 400

    The broadcastID, actionID or triggerID is invalid.

  • 401

    Unauthorized request. Make sure that you provided the right credentials.

  • 404

    The broadcast, action, and/or trigger do not exist.

  • 409

    When the broadcast is resolving its audience, already sending, or already sent.

Request Example for post/v1/campaigns/{broadcast_id}/triggers/{trigger_id}/cancel
curl https://api.customer.io/v1/campaigns/3/triggers/12/cancel \
  --request POST \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "trigger": {
    "broadcast_id": 3,
    "cancelled_at": 1796041200,
    "created_at": 1796040000,
    "expires_after": 0,
    "id": 12,
    "processed_at": 0,
    "scheduled_at": 1796128200
  }
}